﻿// ConvertInfo : FairlyWrites 7.4.6.2 - 2016/06/24 16:41:40
{
  var objTOC = new TocObject();
  objTOC.setTitle("3DS プログラミングマニュアル<br /> - 動的立体視表現編");
  objTOC.setWindowTitle("3DS プログラミングマニュアル - 動的立体視表現編");
  objTOC.disablePrintPage();
  objTOC.setInsertTitlePage(true);
  objTOC.disableDisplayNumber();
  objTOC.disableViewFileIcon();
  objTOC.setBaselevel(0);
  objTOC.setSearchEnabled(true);
  objTOC.setLogoFile("template/img/logo.png");

// 1. はじめに
  objTOC.addHeader("ID_71309519", 0, "1. はじめに", "Pages/Page_71309519.html", "");

// 1.1. このドキュメントのスコープ
  objTOC.addItem("ID_71309519", 1, "1.1. このドキュメントのスコープ", "Pages/Page_71309519.html", "PageId_71309535");

// 1.2. 用語定義
  objTOC.addItem("ID_71309519", 1, "1.2. 用語定義", "Pages/Page_71309519.html", "PageId_71309736");

// 2. 理想的な画像のキャプチャーと表示
  objTOC.addHeader("ID_71309783", 0, "2. 理想的な画像のキャプチャーと表示", "Pages/Page_71309783.html", "");

// 2.1. 理想的な単一カメラ表現
  objTOC.addItem("ID_71309783", 1, "2.1. 理想的な単一カメラ表現", "Pages/Page_71309783.html", "PageId_71309793");

// 2.2. 理想的な立体視表現
  objTOC.addItem("ID_71309783", 1, "2.2. 理想的な立体視表現", "Pages/Page_71309783.html", "PageId_71309869");

// 2.3. 理想的なダイナミック単一カメラ
  objTOC.addItem("ID_71309783", 1, "2.3. 理想的なダイナミック単一カメラ", "Pages/Page_71309783.html", "PageId_71309926");

// 2.4. 理想的なダイナミック立体視カメラ
  objTOC.addItem("ID_71309783", 1, "2.4. 理想的なダイナミック立体視カメラ", "Pages/Page_71309783.html", "PageId_71309944");

// 2.5. スクリーンを部分的にカバーするビューポートの利用
  objTOC.addItem("ID_71309783", 1, "2.5. スクリーンを部分的にカバーするビューポートの利用", "Pages/Page_71309783.html", "PageId_71309965");

// 3. SNAKE への組み込み
  objTOC.addHeader("ID_71309974", 0, "3. SNAKE への組み込み", "Pages/Page_71309974.html", "");

// 3.1. フェイストラッキングシステムの制約
  objTOC.addItem("ID_71309974", 1, "3.1. フェイストラッキングシステムの制約", "Pages/Page_71309974.html", "PageId_71309979");

// 3.1.1. デプス推定
  objTOC.addItem("ID_71309974", 2, "3.1.1. デプス推定", "Pages/Page_71309974.html", "PageId_71309982");

// 3.1.2. 平均的な両目の間隔値の使用
  objTOC.addItem("ID_71309974", 2, "3.1.2. 平均的な両目の間隔値の使用", "Pages/Page_71309974.html", "PageId_71309986");

// 3.1.3. ユーザー検出失敗時の対処
  objTOC.addItem("ID_71309974", 2, "3.1.3. ユーザー検出失敗時の対処", "Pages/Page_71309974.html", "PageId_71309996");

// 3.2. 快適性と最大視差
  objTOC.addItem("ID_71309974", 1, "3.2. 快適性と最大視差", "Pages/Page_71309974.html", "PageId_71310007");

// 3.2.1. ニアクリップ面とファークリップ面
  objTOC.addItem("ID_71309974", 2, "3.2.1. ニアクリップ面とファークリップ面", "Pages/Page_71309974.html", "PageId_71310013");

// 3.2.2. 両目間隔の縮小
  objTOC.addItem("ID_71309974", 2, "3.2.2. 両目間隔の縮小", "Pages/Page_71309974.html", "PageId_71310016");

// 3.2.3. FOV の拡大
  objTOC.addItem("ID_71309974", 2, "3.2.3. FOV の拡大", "Pages/Page_71309974.html", "PageId_71310023");

// 4. ダイナミック立体視カメラの設定
  objTOC.addHeader("ID_71310103", 0, "4. ダイナミック立体視カメラの設定", "Pages/Page_71310103.html", "");

// 4.1. ワイド FOV
  objTOC.addItem("ID_71310103", 1, "4.1. ワイド FOV", "Pages/Page_71310103.html", "PageId_71310247");

// 4.2. 現実に即した FOV 係数
  objTOC.addItem("ID_71310103", 1, "4.2. 現実に即した FOV 係数", "Pages/Page_71310103.html", "PageId_71310366");

// 4.3. ダイナミックパースペクティブ振幅係数
  objTOC.addItem("ID_71310103", 1, "4.3. ダイナミックパースペクティブ振幅係数", "Pages/Page_71310103.html", "PageId_71310381");

// 4.4. ダイナミックパースペクティブクランプ係数
  objTOC.addItem("ID_71310103", 1, "4.4. ダイナミックパースペクティブクランプ係数", "Pages/Page_71310103.html", "PageId_71310400");

// 4.5. 傾きと立体カメラの改善
  objTOC.addItem("ID_71310103", 1, "4.5. 傾きと立体カメラの改善", "Pages/Page_71310103.html", "PageId_71310543");

// 4.6. 限界視差
  objTOC.addItem("ID_71310103", 1, "4.6. 限界視差", "Pages/Page_71310103.html", "PageId_71310547");

// 4.7. 3D ボリュームと立体視係数
  objTOC.addItem("ID_71310103", 1, "4.7. 3D ボリュームと立体視係数", "Pages/Page_71310103.html", "PageId_71310556");

// 5. 組み込み時の注意
  objTOC.addHeader("ID_71314143", 0, "5. 組み込み時の注意", "Pages/Page_71314143.html", "");

// 5.1. カメラの占有領域を決める
  objTOC.addItem("ID_71314143", 1, "5.1. カメラの占有領域を決める", "Pages/Page_71314143.html", "PageId_71310675");

// 6. DynamicStereoCamera クラス
  objTOC.addHeader("ID_71310767", 0, "6. DynamicStereoCamera クラス", "Pages/Page_71310767.html", "");

// 6.1. ウィンドウの指定
  objTOC.addItem("ID_71310767", 1, "6.1. ウィンドウの指定", "Pages/Page_71310767.html", "PageId_71310770");

// 6.1.1. 仮想空間でのサイズを基にウィンドウを指定
  objTOC.addItem("ID_71310767", 2, "6.1.1. 仮想空間でのサイズを基にウィンドウを指定", "Pages/Page_71310767.html", "PageId_71310785");

// 6.1.2. ベースカメラ視錐体を基にウィンドウを導出
  objTOC.addItem("ID_71310767", 2, "6.1.2. ベースカメラ視錐体を基にウィンドウを導出", "Pages/Page_71310767.html", "PageId_71310800");

// 6.1.3. ビューポートからウィンドウを設定
  objTOC.addItem("ID_71310767", 2, "6.1.3. ビューポートからウィンドウを設定", "Pages/Page_71310767.html", "PageId_71310804");

// 6.1.4. 既存のプロジェクション行列を基にウィンドウを設定
  objTOC.addItem("ID_71310767", 2, "6.1.4. 既存のプロジェクション行列を基にウィンドウを設定", "Pages/Page_71310767.html", "PageId_71310810");

// 6.2. ベースカメラビューの指定
  objTOC.addItem("ID_71310767", 1, "6.2. ベースカメラビューの指定", "Pages/Page_71310767.html", "PageId_71310881");

// 6.3. 左目カメラと右目カメラの計算
  objTOC.addItem("ID_71310767", 1, "6.3. 左目カメラと右目カメラの計算", "Pages/Page_71310767.html", "PageId_71310951");

// 6.4. Setting クラス
  objTOC.addItem("ID_71310767", 1, "6.4. Setting クラス", "Pages/Page_71310767.html", "PageId_71310943");

// 6.5. 占有領域
  objTOC.addItem("ID_71310767", 1, "6.5. 占有領域", "Pages/Page_71310767.html", "PageId_71311039");

// 7. 付録：公式
  objTOC.addHeader("ID_71311936", 0, "7. 付録：公式", "Pages/Page_71311936.html", "");

// 7.1. 定数
  objTOC.addItem("ID_71311936", 1, "7.1. 定数", "Pages/Page_71311936.html", "PageId_71311944");

// 7.2. 仮想空間と現実空間の変換
  objTOC.addItem("ID_71311936", 1, "7.2. 仮想空間と現実空間の変換", "Pages/Page_71311936.html", "PageId_71312021");

// 7.3. ユーザー位置
  objTOC.addItem("ID_71311936", 1, "7.3. ユーザー位置", "Pages/Page_71311936.html", "PageId_71312034");

// 7.4. カメラ間の距離の計算
  objTOC.addItem("ID_71311936", 1, "7.4. カメラ間の距離の計算", "Pages/Page_71311936.html", "PageId_71312174");

// 7.4.1. ワイド FOV の計算
  objTOC.addItem("ID_71311936", 2, "7.4.1. ワイド FOV の計算", "Pages/Page_71311936.html", "PageId_71312189");

// 7.4.2. 限界視差の計算
  objTOC.addItem("ID_71311936", 2, "7.4.2. 限界視差の計算", "Pages/Page_71311936.html", "PageId_71312204");

// 7.4.3. カメラ間の距離係数
  objTOC.addItem("ID_71311936", 2, "7.4.3. カメラ間の距離係数", "Pages/Page_71311936.html", "PageId_71312210");

// 7.5. カメラ中心位置の計算
  objTOC.addItem("ID_71311936", 1, "7.5. カメラ中心位置の計算", "Pages/Page_71311936.html", "PageId_71312294");

// 7.6. 最終的な目のカメラ位置の計算
  objTOC.addItem("ID_71311936", 1, "7.6. 最終的な目のカメラ位置の計算", "Pages/Page_71311936.html", "PageId_71312298");

// 7.6.1. 傾きが有効な場合
  objTOC.addItem("ID_71311936", 2, "7.6.1. 傾きが有効な場合", "Pages/Page_71311936.html", "PageId_71312301");

// 7.6.2. 傾きが無効な場合
  objTOC.addItem("ID_71311936", 2, "7.6.2. 傾きが無効な場合", "Pages/Page_71311936.html", "PageId_71312307");

  objTOC.addGuidelineSection("HISTORY", 0, "更新履歴", "history.html", "");

  objTOC.processTreeData();
  Reassemble.objectTocData = objTOC;
}
