(function(){
var additionalData = [
["Pages/Page_54698683.html","1. はじめに",
"1. はじめに\n本ドキュメントは、3DS で動作するアプリケーションの作成に関連する情報をまとめたもので、アプリケーション開発者を対象としています。\n",0]
,["Pages/Page_54698683.html#PageId_54698684","1.1. 本書の読み方",
"1.1. 本書の読み方\nアプリケーションの作成に関連する情報の紹介を主な目的としているため、詳細な情報については、関連するドキュメントを適宜参照してください。\n以降の章の構成は以下のようになっています。\n「2. アプリケーションの種類」では、3DS で作成可能なアプリケーションの種類と、それぞれの特徴を説明しています。\n「3. 実装のヒント」、「4. ビルド前の準備」、「5. ビルド」では、アプリケーション作成の基本手順を説明しています。\n「6. デバッグ」では、アプリケーションのデバッグ方法を説明しています。\n「7. DLL（動的モジュール）の利用」では、アプリケーションで動的モジュールを利用する場合に必要な手順を説明しています。\n「8. ダウンロード販売可能なカードアプリの開発手順」では、同じアプリケーションをパッケージ版とダウンロード版の 2 つの販路で販売する場合に必要な手順を説明しています。\n",0]
,["Pages/Page_54698683.html#PageId_54698685","1.2. 用語解説",
"1.2. 用語解説\n本ドキュメントで使用される用語を簡単に解説します。これらの用語は一般的な意味とは異なる場合があります。\n 表 1-1. 用語一覧\n \t用語 \t説明\n \tカードアプリ \tゲームカードに格納され、実行される 3DS で動作するアプリケーション。実行時にはゲームカードからデータを読み込みます。\n \tダウンロードアプリ \tSD カードに格納され、実行される 3DS で動作するアプリケーション。実行時には SD カードからデータを読み込みます。\n \tCXI\n（CTR eXecutable Image） \tアプリケーションの実行イメージ形式。また、それを格納したファイル、ファイルにつけられる拡張子。\n \t電子取扱説明書 \t3DS の画面で表示されるアプリケーションの取扱説明書。CTR-ManualTools で作成します。\n \tCFA\n（CTR File Archive） \tデータコンテナとして扱われるバイナリ形式。またそれを格納したファイル、ファイルにつけられる拡張子。\n \tCCI\n（CTR Card Image） \tカードアプリの最終 ROM イメージ形式。また、それを格納したファイル、ファイルにつけられる拡張子。内部に CXI を含んでいます。\n \tCIA\n（CTR Importable Archive） \tダウンロードアプリの最終 ROM イメージ形式。また、それを格納したファイル、ファイルにつけられる拡張子。内部に CXI を含んでいます。ダウンロードプレイで配信する子機プログラムもこの形式で作成します。\n \tRSF\n（Rom Spec File） \tCXI を作成するときに使用する各種パラメータを記述したファイル。\n \tリマスターバージョン \tRSF に記述され CXI 内部に格納されるアプリケーションのバージョン番号。\n \tインポート \tダウンロードアプリを SD カードに格納し、起動可能な状態にすること。\n \tHOMEメニュー \t3DS を起動したときに表示される画面。起動するアプリケーションを選択するために用いられます。\n \t開発用メニュー \tPARTNER-CTR Debugger や開発実機を起動したときに表示される開発用の画面。HOMEメニューの代わりとして、最小限の機能を有しています。\n \tDevMenu \tSD カード上の CIA ファイルのインポート、拡張セーブデータの表示などの機能を持つ、開発用のアプリケーション。\n \tアーカイブ \tCTR-SDK の FS ライブラリが操作の対象とする個々のファイルシステム。Windows PC でいう「ドライブ」に相当します。\n \tセーブデータ領域 \tセーブデータを格納するために確保される領域。ダウンロードアプリでは SD カード上に確保され、作成した本体でのみ使用可能です。\n \t拡張セーブデータ領域 \tセーブデータとは別に作成・管理される SD カード上のデータ領域。作成した本体でのみ使用可能です。領域に作成された拡張セーブデータは「追加データ」とも呼ばれます。\n \tモジュール \t実行コードを意味のある単位でまとめたもの。\n \t動的モジュール \t動的にメモリに読み込み、実行することのできるモジュール。\n \t静的モジュール \t最初に実行される、アプリケーションの本体となるモジュール。動的モジュールを用いていないアプリケーションは、静的モジュールだけで構成されているとも言えます。\n \tDLL \t動的モジュールを実現する仕組み。また、動的モジュールそのもの。\n \tCRS \t静的モジュールの情報。また、それを格納したファイル、ファイルにつけられる拡張子。\n \tCRO \t動的モジュールのファイル形式。また、それを格納したファイル、ファイルにつけられる拡張子。\n \tCRR \t動的モジュールの登録情報。また、それを格納したファイル、ファイルにつけられる拡張子。CRO の登録情報が 1 つ以上格納されています。\n \tパッケージ版 \t併売されているアプリケーションのうち、ゲームカードに記録され、店頭で販売されているものを指します。\n \tダウンロード版 \t併売されているアプリケーションのうち、ダウンロード販売されているものを指します。\n \t改訂版 \t一度アプリケーションをリリースしたのちに、何らかの変更を施してリリースされる同タイトルの新しい版のアプリケーション。\n \tパッチ \tアプリケーションのいくつかの要素を置き換えて実行する仕組み、またはその置き換えに使用するデータ。\n \t標準アプリ \tSNAKE で実行した際に標準モードで動作するアプリケーション。発売済みを含む、ニンテンドー3DS専用ソフトがこれにあたります。\n \t拡張アプリ \tSNAKE で実行した際に拡張モードで動作するアプリケーション。CTR で実行することもできます。CTR で動作した際の挙動は、SNAKE の標準モードで動作したときと同等になります。\n",0]
,["Pages/Page_54698686.html","2. アプリケーションの種類",
"2. アプリケーションの種類\n3DS で開発することのできるアプリケーションの種類には、以下のものがあります。\n",0]
,["Pages/Page_54698686.html#PageId_54698687","2.1. カードアプリ",
"2.1. カードアプリ\nROM とセーブデータが一体化したゲームカードに書き込まれるアプリケーションです。店舗などで販売されているパッケージソフトがこれにあたります。\nアプリケーションの保存場所とサイズ、セーブデータ、拡張セーブデータ、電子取扱説明書への対応については、以下のようになっています。\n 表 2-1. カードアプリの特徴\n \t項目 \t内容\n \tアプリケーションの保存場所 \tゲームカード（ニンテンドー3DSカード）\n \tアプリケーションのサイズ \t Card1: 128 MByte～4 GByte（実際に使用できるサイズは異なります）\n Card2: 512 MByte～2 GByte（セーブデータと共用）\n \tセーブデータの保存場所 \tゲームカードのバックアップ領域（ROM 領域とは別の領域です）\n \tセーブデータのサイズ \t Card1: 128 KByte または 512 KByte（実際に使用できるサイズは異なります）\n Card2: 1 MByte 単位で指定可能（カード容量の半分まで）\n \t拡張セーブデータ \t使用可能（追加データ管理画面で削除することができます）\n \t電子取扱説明書への対応 \t必須\n 注意：\n Card2 を使用する場合は、事前に弊社までご相談ください。\n",0]
,["Pages/Page_54698686.html#PageId_54698688","2.2. ダウンロードアプリ",
"2.2. ダウンロードアプリ\nSD カードにインポートされるアプリケーションです。ニンテンドーeショップで販売されているソフトやいつの間に通信でダウンロードされるソフトがこれにあたります。\nアプリケーションの保存場所とサイズ、セーブデータ、拡張セーブデータ、電子取扱説明書への対応については、以下のようになっています。\n 表 2-2. ダウンロードアプリの特徴\n \t項目 \t内容\n \tアプリケーションの保存場所 \tSD カード\n \tアプリケーションのサイズ \t カードアプリをダウンロード販売にも対応する場合は、最大 4 GB です。\n ダウンロード販売のみの場合は、基本的に 512 MB までです。（512 MB 以上のサイズが必要な場合は弊社窓口までご連絡ください）\n \tセーブデータの保存場所 \tSD カード（インポート時にセーブデータ領域が確保されます。ダウンロードアプリを削除したときに一緒に削除され、セーブデータのみを削除することはできません）\n \tセーブデータのサイズ \t128 KByte または 512 KByte（実際に使用できるサイズは異なります。512 KByte 以上のサイズが必要な場合は弊社窓口までご連絡ください）\n \t拡張セーブデータ \t使用可能（ダウンロードアプリを削除しても削除されません。追加データ管理画面で削除することができます）\n \t電子取扱説明書への対応 \t必須\n 注意：\n ダウンロードアプリ (cia) としてマスター提出した場合は、後からカードアプリとして販売を依頼することが出来ません。併売をご検討の場合はカードアプリ (cci) としてマスター提出するようにお願いします。\n",0]
,["Pages/Page_54698686.html#PageId_54698689","2.2.1. インポート",
"2.2.1. インポート\nダウンロードアプリを実行するには、まず SD カードにアプリケーションをインポートする必要があります。\n製品版では、ニンテンドーeショップなどからのダウンロードが完了した時点でインポートされています。\n開発時のインポートには、DevMenu を使用する方法と PARTNER-CTR（デバッガソフトウェア）または IS-CTR-DEBUGGER（デバッガソフトウェア）を使用する方法があります。\nDevMenu でインポートするには、CIA ファイルを SD カードに書き込んでおく必要があります。\nPARTNER-CTR によるインポートは、CIA ファイルを読み込む（ドラッグアンドドロップも可）か、「IMPORT」コマンドを実行することで行われます。\nIS-CTR-DEBUGGER によるインポートは、CIA ファイルを読み込む（ドラッグアンドドロップも可）か、「IMPORT」コマンドを実行することで行われます。\n 補足：\n DevMenu の操作については、CTR-SDK の CTR ツール「DevMenu」のリファレンスを参照してください。\n PARTNER-CTR のコマンドの詳細については、「PARTNER-CTR デバッガマニュアル」を参照してください。\n IS-CTR-DEBUGGER のコマンドの詳細については、IS-CTR-DEBUGGER のヘルプを参照してください。\n",0]
,["Pages/Page_54698686.html#PageId_54698690","2.2.1.1. 上書きインポート",
"2.2.1.1. 上書きインポート\nインポートされたダウンロードアプリはユニーク ID で識別されます。そのため、ユニーク ID が同じダウンロードアプリがインポート済みの場合、新たにインポートするダウンロードアプリのバージョンが同じまたは古い場合はインポートされず、新しい場合は上書きインポートが行われます。\n上書きインポートが行われる場合、通常はセーブデータの内容が維持されます。そのため、不具合が起こらないように、セーブデータのバージョンなどでしっかりと管理する必要があります。また、インポートするバージョンとインポートされているバージョンとでセーブデータ領域のサイズが異なる場合、すべてのセーブデータ領域の内容がクリアされます。\n 注意：\n 製品版のバージョンを変更した際にセーブデータサイズを変更することは禁止されています。\nデバッグ時に古いバージョンのダウンロードアプリをインポートする場合や、セーブデータ領域の内容をクリアする必要がある場合は、DevMenu や本体設定のソフト管理画面で、インポート済みのダウンロードアプリを削除してからインポートしてください。ダウンロードアプリを削除しても、拡張セーブデータは削除されないことに注意してください。\n",0]
,["Pages/Page_54698686.html#PageId_83151976","2.2.2. あらかじめダウンロード",
"2.2.2. あらかじめダウンロード\nダウンロードアプリは、あらかじめダウンロード機能に対応することで、発売日よりも前にニンテンドーeショップで購入やダウンロードができるようになります。\n詳細は「3DS オーバービュー」の「あらかじめダウンロード」を参照してください。\n",0]
,["Pages/Page_54698686.html#PageId_54698691","2.2.3. 体験版について",
"2.2.3. 体験版について\nソフトの体験版をダウンロードアプリで開発することができます。\n体験版と製品版が同じユニーク ID であっても、別のダウンロードアプリとしてインポートされます。そのため、体験版から製品版へのセーブデータ自体の移行はできませんが、拡張セーブデータの共有を利用して移行することはできます。\n拡張セーブデータを共有する場合、製品版を起動したあとで体験版を起動すると、製品版で更新された拡張セーブデータの内容で体験版が起動することになりますので注意が必要です。\n体験版を削除した場合、体験版のセーブデータは削除されますが、拡張セーブデータは削除されません。\n 補足：\n 体験版の詳細については、「ニンテンドー3DS 体験版作成手順書 - ダウンロード型」を参照してください。\n",0]
,["Pages/Page_54698686.html#PageId_54698692","2.2.4. カードアプリ/Wii ウェア/DSi ウェアとの違い",
"2.2.4. カードアプリ/Wii ウェア/DSi ウェアとの違い\n「3DS オーバービュー」の「ダウンロードアプリ」を参照してください。\n",0]
,["Pages/Page_54698686.html#PageId_54698693","2.2.5. TWL の NAND アプリのインポート",
"2.2.5. TWL の NAND アプリのインポート\nctr_makecia の -srl オプションを使用すると、TWL の NAND アプリとしてビルドした SRL ファイルから CIA ファイルを作成することができます。作成した CIA ファイルは、ダウンロードアプリと同様に SD カードにインポートすることができます。\n詳しくは CTR-SDK のツール「ctr_makecia」のリファレンスを参照してください。\n コマンドの実行例：\n ctr_makecia32.exe -srl MyTwlApp.srl -o MyTwlApp.cia\n 注意：\n SRL ファイルから作成された CIA ファイルは 3DS での DSi ウェアの動作チェックに使用します。インポート後は PARTNER-CTR でも実行できますが、デバッグできません。\n",0]
,["Pages/Page_54698686.html#PageId_54698695","2.3. 子機プログラム",
"2.3. 子機プログラム\nダウンロードプレイで親機から子機に配信されるアプリケーションです。\nアプリケーションの保存場所とサイズ、セーブデータ、拡張セーブデータ、電子取扱説明書への対応については、以下のようになっています。\n 表 2-3. 子機プログラムの特徴\n \t項目 \t内容\n \tアプリケーションの保存場所 \t本体 NAND 領域（1 つのみ保存され、異なるプログラムを受信したときは上書きされます。同じバージョンの同じプログラムは再受信しません）\n \tアプリケーションのサイズ \t（展開後のサイズで）32 MByte まで\n \tセーブデータ \t使用不可\n \t拡張セーブデータ \t使用可能（子機プログラムが上書きされても削除されません。追加データ管理画面で削除することができます）\n \t電子取扱説明書への対応 \t不要\n \t備考 \tHOMEメニューには表示されないため、バナー（モデルとサウンド）は必要ありません。\n 補足：\n ダウンロードプレイのデバッグ用に、同じバージョンの同じプログラムであっても強制的に受信するように Config ツールで設定可能です。\n 注意：\n ダウンロードアプリがダウンロードプレイのサーバになることはできますが、現時点では、接続してきた子機のシステムアップデートを行うことができません。親機で動作しているアプリケーションがダウンロードアプリの場合、システムアップデートが必要な子機からの接続は警告なしに拒否されます。そのため、ダウンロードアプリがダウンロードプレイを開始する際に、弊社が用意するメッセージをアプリケーションで表示しなければなりません。\n 詳しくは、DLP ライブラリの関数リファレンスを参照してください。\n",0]
,["Pages/Page_54698696.html","3. 実装のヒント",
"3. 実装のヒント\nこの章では、アプリケーションの実装に役立つ情報や注意点などを説明します。\n",0]
,["Pages/Page_54698696.html#PageId_54698697","3.1. 起動前の初期化処理",
"3.1. 起動前の初期化処理\nCTR-SDK の「システムプログラミングガイド」に記載されているように、アプリケーションが起動するまでに行われる初期化処理のうち、以下の処理についてはアプリケーション独自の実装が可能となっています。\n \t nninitStartUp() の定義 \tC++ スタティックイニシャライザ \tC スタティックイニシャライザ\nこのうち、nninitStartUp() の定義では、スタティックイニシャライザの前に行う、メモリ管理機構の初期化処理を実装します。この関数は weak シンボルで定義されているため、同名の関数をアプリケーションで定義すると、アプリケーション独自の実装に置き換えることができます。\nデフォルトの実装は $CTRSDK_ROOT/sources/libraries/init/init_Default.cpp の nninitStartUpDefault() にありますが、nninitStartUp() を独自の処理に置き換えることが強く推奨されています。\n",0]
,["Pages/Page_54698696.html#PageId_54698698","3.2. エントリ関数",
"3.2. エントリ関数\n初期化処理のあとで呼び出されるエントリ関数（プログラムのメイン関数）は nnMain() です。アプリケーションの処理はこの関数で実装します。\n nnMain() から抜けるとアプリケーションを終了し、HOMEメニュー（もしくは開発用メニュー）に戻ります。\n",0]
,["Pages/Page_54698696.html#PageId_54698699","3.2.1. 特殊な操作のハンドリング",
"3.2.1. 特殊な操作のハンドリング\nアプリケーションは以下の操作が行われたときの動作をハンドリングしなければなりません。\n \tHOMEボタンが押されたとき \t蓋が閉じられ、スリープ状態に移行するとき \t電源ボタンが押されたとき\n詳しくは、「3DS プログラミングマニュアル - システム編」を参照してください。\n",0]
,["Pages/Page_54698700.html","4. ビルド前の準備",
"4. ビルド前の準備\nこの節では、プログラム以外で、アプリケーションのビルドまでに用意しておかなければならないファイルの作成方法を説明します。\nビルドまでに、以下のファイルを用意する必要があります。\n \tRSF ファイル \tBSF ファイル \t電子取扱説明書\n",0]
,["Pages/Page_54698700.html#PageId_54698701","4.1. RSF ファイル",
"4.1. RSF ファイル\nRSF ファイルは ctr_makerom で CCI ファイルや CXI ファイルを作成する際に必要となる設定ファイルです。\n詳しくは CTR-SDK のツール「ctr_makerom」のリファレンスを参照してください。\n",0]
,["Pages/Page_54698700.html#PageId_54698702","4.1.1. 必須の設定",
"4.1.1. 必須の設定\n以下の項目はアプリケーションを作成する上で必須となる項目です。\n 表 4-1. 必須の設定\n \t大項目 \t小項目 \t設定\n \tTitleInfo \tCategory \t アプリケーションの種類に従って以下のように指定します。\n \tカードアプリ：「Application」 \tダウンロードアプリ：「Application」（体験版は「Demo」） \t子機プログラム：「DlpChild」 \t追加コンテンツ：「AddOnContents」\n※ 省略した場合は、ビルド時の DESC ファイルによってアプリケーションの種類が決定されます。\n \tUniqueId \t 弊社発行のユニーク ID を指定します。\n ソフトの実験、試作用に試作用コード（0xFF000～0xFF3FF）を指定することができますが、複数のアプリケーションで重複しないように注意してください。\n ダウンロードプレイに対応する場合は、親機と子機で同じユニーク ID を指定しなければなりません。\n \tChildIndex \tダウンロードプレイで配信する子機プログラムを作成する際に、そのインデックス（0～255）を指定します。\n \tDemoIndex \tダウンロードアプリ型体験版を作成する際に、そのインデックス（1～255）を指定します。詳細については「ニンテンドー3DS 体験版作成手順書 - ダウンロード型」を参照してください。\n \tVariation \t追加コンテンツを作成する際に、そのインデックス（0～255）を指定します。\n \tRom \tHostRoot \t ROM アーカイブに含めるファイルが格納されているディレクトリを指定します。\n 指定されたディレクトリをルートディレクトリに、配下のファイルとディレクトリ構造がそのまま ROM アーカイブに格納されます。\n OMakefile の ROMFS_ROOT を参照する場合は、「$(ROMFS_ROOT)」を指定してください。\n \tReject \t ROM アーカイブから除外するファイルやディレクトリを指定します。\n 除外するファイルはワイルドカードまたは正規表現で指定します。\n \tSaveDataSize \t セーブデータ領域のサイズを nKB/nMB/nGB の形式で指定します。\n 省略した場合は 0KB が指定されます。\n \tCardInfo \tMediaType \t カードアプリを作成する際に、ゲームカードの種別（Card1/Card2）を指定します。\n セーブデータ領域のサイズが 512 KB を超えるダウンロードアプリは「Card2」を指定してください。\n 省略した場合は「Card1」が指定されます。\n コード 4-1. RSF ファイルの記述例（必須の設定）\n TitleInfo:\n Category: Application\n UniqueId: 0xFF3FF\nRom:\n HostRoot: $(ROMFS_ROOT)\n",0]
,["Pages/Page_54698700.html#PageId_54698703","4.1.2. セーブデータを使用する場合",
"4.1.2. セーブデータを使用する場合\nアプリケーションでセーブデータを使用する場合、アプリケーションの種類によって設定すべき項目が異なります。\n 補足：\n セーブデータ領域内にはファイルシステムの管理領域などが含まれるため、アプリケーションで実際に使用できる領域は指定した値より小さくなります。セーブデータ領域サイズごとの、実際に利用可能なサイズの値については関数リファレンスの「セーブデータファイルシステム容量計算シート」を参照してください。\n なお、nn::fs::GetArchiveFreeBytes() を呼び出すことで、アプリケーションの実行中にアーカイブの空き容量を取得することができます。\n",0]
,["Pages/Page_54698700.html#PageId_54698704","4.1.2.1. ゲームカード種別が Card1 のカードアプリ",
"4.1.2.1. ゲームカード種別が Card1 のカードアプリ\n以下の項目を設定してください。\n 表 4-2. セーブデータを使用する場合の設定（Card1 のカードアプリ）\n \t大項目 \t小項目 \t設定\n \tRom \tSaveDataSize \t「0KB」、「128KB」、「512KB」から指定します。\n コード 4-2. RSF ファイルの記述例（Card1 のカードアプリでセーブデータを使用する場合）\n Rom:\n SaveDataSize: 512KB\n",0]
,["Pages/Page_54698700.html#PageId_54698705","4.1.2.2. ダウンロードアプリ",
"4.1.2.2. ダウンロードアプリ\n以下の項目を設定してください。\n 表 4-3. セーブデータを使用する場合の設定（ダウンロードアプリ）\n \t大項目 \t小項目 \t設定\n \tRom \tSaveDataSize \t MediaType の指定により異なります。\n Card1 の場合：「0KB」、「128KB」、「512KB」から指定します。\n Card2 の場合：「nMB」または「nGB」の形式で指定します。\n1 MByte 単位でのみ指定が可能で、50 MByte を超える場合は事前に弊社までご相談ください。\nなお、ダウンロード専売の場合は 512 KByte まで、カードアプリと併売する場合は 20 MByte までにすることを推奨します。\n コード 4-3. RSF ファイルの記述例（ダウンロードアプリでセーブデータを使用する場合）\n Rom:\n SaveDataSize: 512KB\n",0]
,["Pages/Page_54698700.html#PageId_54698706","4.1.2.3. ゲームカード種別が Card2 のカードアプリ",
"4.1.2.3. ゲームカード種別が Card2 のカードアプリ\n以下の項目を設定してください。\n 表 4-4. セーブデータを使用する場合の設定（Card2 のカードアプリ）\n \t大項目 \t小項目 \t設定\n \tRom \tSaveDataSize \t 「nMB」または「nGB」の形式で指定します。\n 1 MByte 単位でのみ指定が可能です。なお、BasicInfo / MediaSize で指定した値の半分が物理的な上限となります。\n コード 4-4. RSF ファイルの記述例（Card2 のカードアプリでセーブデータを使用する場合）\n Rom:\n SaveDataSize: 32MB\n",0]
,["Pages/Page_54698700.html#PageId_54698707","4.1.2.4. 体験版のセーブデータにアクセスする場合",
"4.1.2.4. 体験版のセーブデータにアクセスする場合\n体験版で作成したセーブデータにアクセスする必要があるアプリケーションは以下の項目を設定してください。\n 表 4-5. 体験版のセーブデータにアクセスする場合の設定\n \t大項目 \t小項目 \t設定\n \tAccessControlInfo \tUseOtherVariationSaveData \t 「true」または「false」で指定します。\n 「true」の指定で、nn::fs::MountDemoSaveData() による体験版のセーブデータのマウントが可能になります。\n 省略した場合は「false」を指定したことになります。\n 補足：\n AccessControlInfo の AccessibleSaveDataIds を指定した場合、そこにアプリケーションのユニーク ID が設定に含まれていなくてもアプリケーションのセーブデータと拡張セーブデータへのアクセスが可能になるように、UseOtherVariationSaveData を「true」に指定した際の解釈が拡張されます。\n",0]
,["Pages/Page_54698700.html#PageId_54698708","4.1.2.5. ほかのアプリケーションのセーブデータにアクセスする場合",
"4.1.2.5. ほかのアプリケーションのセーブデータにアクセスする場合\nほかのアプリケーションのセーブデータにアクセスする必要があるアプリケーションは以下の項目を設定してください。\n 表 4-6. ほかのアプリケーションのセーブデータにアクセスする場合の設定\n \t大項目 \t小項目 \t設定\n \tAccessControlInfo \tAccessibleSaveDataIds \t アクセスしたいセーブデータのユニーク ID と拡張セーブデータ ID を、ユニーク ID の一覧で指定します。最大 6 個の指定が可能です。\n アクセス可能になるのは、指定された ID と一致するユニーク ID のセーブデータ（体験版含む）と、指定された ID と一致する拡張セーブデータ ID の拡張セーブデータです。\n この設定を使用した場合は UseOtherVariationSaveData の解釈が拡張されます。詳細については、「4.1.2.4. 体験版のセーブデータにアクセスする場合」を参照してください。\n \t OtherUserSaveDataId1\n OtherUserSaveDataId2\n OtherUserSaveDataId3\n \t アクセスしたいセーブデータのユニーク ID を最大 3 個指定することができます。アプリケーションのユニーク ID と同じユニーク ID のセーブデータならば、この設定に含まれていなくても UseOtherVariationSaveData に「true」を指定することで使用可能になります。\n AccessibleSaveDataIds が指定されている場合は、これらの設定を使用することができません。\n",0]
,["Pages/Page_54698700.html#PageId_54698709","4.1.3. 拡張セーブデータを使用する場合",
"4.1.3. 拡張セーブデータを使用する場合\nアプリケーションで拡張セーブデータを使用する場合は、以下の項目を設定してください。\n 表 4-7. 拡張セーブデータを使用する場合の設定\n \t大項目 \t小項目 \t設定\n \tAccessControlInfo \tAccessibleSaveDataIds \t アクセスしたいセーブデータのユニーク ID と拡張セーブデータ ID を、ユニーク ID の一覧で指定します。最大 6 個の指定が可能です。\n アクセス可能になるのは、指定された ID と一致するユニーク ID のセーブデータ（体験版含む）と、指定された ID と一致する拡張セーブデータ ID の拡張セーブデータです。\n アプリケーションのユニーク ID をこの設定に含めた場合、UseOtherVariationSaveData の指定にかかわらず、拡張セーブデータへのアクセスが可能になります。\n この設定を使用した場合は UseOtherVariationSaveData の解釈が拡張されます。詳細については、「4.1.2.4. 体験版のセーブデータにアクセスする場合」を参照してください。\n \tAccessControlInfo \tUseExtSaveData \t 「true」を指定します。\n AccessibleSaveDataIds が指定されている場合は使用することができません。\n \tExtSaveDataNumber \t 通常はアプリケーションのユニーク ID を指定します。\n 拡張セーブデータを共有する場合は共有の ID（共有するタイトルのユニーク ID）を指定します。\n 例えば、あるタイトルの続編が前作の拡張セーブデータを共有する場合は、前作のユニーク ID を指定します。\n AccessibleSaveDataIds が指定されている場合は使用することができません。\n コード 4-5. RSF ファイルの記述例（拡張セーブデータ）\n AccessControlInfo:\n AccessibleSaveDataIds:\n - 0xFF3FF\n以下のようなケースでは、どのアプリケーションのユニーク ID とも重複しない新しい拡張セーブデータ番号が必要になることがあります。\n \t複数のアプリケーションがそれぞれ自分自身の拡張セーブデータを持ち、それとは別に共有するための拡張セーブデータを利用したい場合 \tパッチを適用して、新たに拡張セーブデータ内のファイルを追加したいが、既存の拡張セーブデータに格納可能なファイル、ディレクトリの最大数を超えてしまう場合 \tそのほかの理由で、ほかのアプリケーションとは独立して 1 つのアプリケーションで複数の拡張セーブデータを利用したい場合\n上記のような場合に拡張セーブデータ番号を新しく取得したい場合は弊社窓口までご相談ください。\n 補足：\n AccessControlInfo の AccessibleSaveDataIds が指定されている場合は、UseExtSaveData および ExtSaveDataNumber の指定を使用することができません。この場合、アクセスしたい拡張セーブデータの拡張セーブデータ ID を AccessibleSaveDataIds に含めるか、その拡張セーブデータ ID とアプリケーションのユニーク ID が同じならば UseOtherVariationSaveData に「true」を指定することで使用可能になります。\n 注意：\n ファイルシステムのアクセス権利属性（AccessControlInfo の FileSystemAccess）に「Debug」を指定すると、SD カードへの直接アクセスが可能になります。それに付随して、製品版ではアクセスできないデータ（AccessibleSaveDataIds に指定されていない別アプリのセーブデータと拡張セーブデータ、OtherUserSaveDataID* に指定されていない別アプリのセーブデータ、ExtSaveDataNumber に指定されていない拡張セーブデータ）へのアクセスも可能となります。そのため、動作検証は「Debug」を指定していない状態で行うようにしてください。\n",0]
,["Pages/Page_54698700.html#PageId_54698710","4.1.4. マスター提出用 ROM 作成時の設定",
"4.1.4. マスター提出用 ROM 作成時の設定\nマスター提出用に ROM を作成するときは、以下の項目を追加もしくは開発時に指定していた内容から変更しなければなりません。\n 表 4-8. マスター提出用 ROM 作成時の設定\n \t大項目 \t小項目 \t設定\n \tBasicInfo \tTitle \t アプリケーションのタイトルを指定します。\n OMakefile の TITLE を参照する場合は、「$(TITLE)」を指定してください。\n \tProductCode \t弊社発行の製品コードまたは追加コンテンツコードを指定します。\n \tMediaSize \t メディアサイズを指定します。\n MediaType が Card1 の場合は、「128MB」、「256MB」、「512MB」、「1GB」、「2GB」、「4GB」 のいずれかを指定します。\n MediaType が Card2 の場合は、「512MB」、「1GB」、「2GB」 のいずれかを指定します。\n ダウンロードアプリの場合は、カードアプリにした場合に必要になる値を指定してください。\n \tLogo \t ロゴデータの種類を指定します。\n \t任天堂タイトル：「Nintendo」 \t任天堂タイトル（販売のみ）：「Distributed」 \tライセンシータイトル：「Licensed」\n \tTitleInfo \tUniqueId \t 弊社発行のユニーク ID を指定します。\n 試作用コードを使用していた場合は、AccessControlInfo の ExtSaveDataNumber の指定も確認してください。\n コード 4-6. RSF ファイルの記述例（マスター ROM 提出時）\n BasicInfo:\n Title: $(TITLE)\n ProductCode: \"CTR-A-00001\"\n MediaSize: 512MB\n Logo: Licensed\nTitleInfo:\n UniqueId: 0x41001\n",0]
,["Pages/Page_54698700.html#PageId_54698711","4.1.5. リマスターバージョンの設定",
"4.1.5. リマスターバージョンの設定\nすでにリリースされているアプリケーションに修正を加えた場合、リマスターバージョンを更新しなければなりません。\nリマスターバージョンを更新した場合、カードアプリはすでに販売されているソフトウェアをバージョンアップすることはできませんが、ダウンロードアプリはユーザーの手元で遊ばれているソフトウェアをバージョンアップすることができます。\n 表 4-9. リマスターバージョンの設定\n \t大項目 \t小項目 \t項目の内容\n \tSystemControlInfo \tRemasterVersion \tCXI のリマスターバージョンを指定します。\n コード 4-7. RSF ファイルの記述例（リマスターバージョン）\n SystemControlInfo:\n RemasterVersion: 1\nダウンロードアプリのバージョンには、この CXI のリマスターバージョンがそのまま使用されます。CXI のリマスターバージョンが 1 であれば、ダウンロードアプリのバージョンも 1 となります。ダウンロードアプリをリリースしたあと、CXI のバージョンアップを行うごとに 1 ずつ増加していくことになります。\nバージョンアップが行われる場合はセーブデータが維持されるため、新しいバージョンのダウンロードアプリは過去にリリースされたすべてのバージョンのセーブデータを適切に扱えるよう実装する必要があります。セーブデータのフォーマットを恒久的に変更しないか、あるいは事前にバージョン番号を埋め込んでおきプログラムで変更に対応できるようにしてください。\nなお、ダウンロードアプリのバージョンアップ前後で RSF の下記の項目を変更することは禁止されています。\n 表 4-10. ダウンロードアプリのバージョンアップ時に変更が禁止されている項目\n \t大項目 \t小項目 \t項目の内容\n \tBasicInfo \tTitle \tアプリケーションのタイトル\n \tProductCode \t製品コード\n \tTitleInfo \tUniqueId \tユニーク ID\n \tRom \tSaveDataSize \tセーブデータ領域のサイズ\n",0]
,["Pages/Page_54698700.html#PageId_54698712","4.2. BSF ファイル",
"4.2. BSF ファイル\nBSF ファイルは ctr_makebanner で ICN ファイル（アイコンデータ）と BNR ファイル（バナーデータ）を作成する際に必要となる設定ファイルです。\nBSF ファイルには、アイコンデータとバナーデータの作成に使用する、アイコンファイル、モデルファイル、サウンドファイルを指定します。これらのファイルは事前に作成しておく必要があります。\nLittleIconFile と BigIconFile に指定するアイコンファイルには ctr_TexturePackager で作成する ctpk ファイルを使用します。\nModelFile に指定するモデルファイルには ctr_BannerModelConverter で作成する cbmd ファイルを使用します。\nSoundFile に指定するサウンドファイルには ctr_WaveConverter で作成する bcwav ファイルを使用します。\nまた、HOMEメニューなどで表示されるタイトル名や、カードリージョン等のアプリケーションの設定も行います。\n詳しくは CTR-SDK のツール「ctr_makebanner」のリファレンスを参照してください。\n 補足：\n 子機プログラムには BNR ファイルが必要ありませんので、子機プログラム用にモデルファイルとサウンドファイルを用意する必要はありません。\n コード 4-8. BSF ファイルの記述例\n LittleIconFile: resources/little.ctpk\nBigIconFile: resources/big.ctpk\nModelFile: resources/model.cbmd\nSoundFile: resources/sound.bcwav\nRegion: Japan\nUlcd: True\nAutoSave: False\nSaveData: True\nThumbnailFrame: 0\nRatingRequired: True\nCERO: 12\nJPLongName: テストアプリケーション\nJPShortName: テストアプリケーション\nJPPublisher: テスト\nENLongName: TestApplication\nENShortName: TestApplication\nENPublisher: Test\n",0]
,["Pages/Page_54698700.html#PageId_54698713","4.3. 電子取扱説明書",
"4.3. 電子取扱説明書\n電子取扱説明書のファイルは CTR-ManualTools を使用して作成します。アプリケーションに含める電子取扱説明書のファイル名は Manual.bcma でなければならないことに注意してください。\n電子取扱説明書のバイナリファイル（*.bcma）のファイルサイズは、1 言語あたり最大 6656 KByte です。\n詳しくは「CTR-ManualTools」のドキュメントを参照してください。\n",0]
,["Pages/Page_54698714.html","5. ビルド",
"5. ビルド\n下図はアプリケーションをビルドするまでの概略をフロー図で示したものです。\nビルドに必要となるファイルや処理についての詳細は、CTR-SDK の「ビルドシステム構築ガイド」を参照してください。\n 図 5-1. アプリケーションをビルドするまでの概略\nソースファイル armcc ダウンロードプレイに対応する場合のみ CIAファイル（子機プログラム） オブジェクトファイル バナー用データ BSFファイル makeciaarchive armlink makebanner CFAファイル AXFファイル ICNファイル BNRファイル ROMアーカイブに含めるファイル 電子取扱説明書（Manual.bcma） makerom RSFファイル CXIファイル makecia CCIファイル（カードアプリ） CIAファイル（ダウンロードアプリ） CIAファイル（子機プログラム） 開発者が用意するファイル ツールで生成されるファイル ツール\n",0]
,["Pages/Page_54698714.html#PageId_54698715","5.1. CTR-SDK のビルドシステムでビルドする場合",
"5.1. CTR-SDK のビルドシステムでビルドする場合\nCTR-SDK のビルドシステムを使用する場合、環境変数やビルドオプション、ビルド変数の設定を OMakefile に記述し、omake を実行するだけで簡単にアプリケーションの実行ファイルを作成することができます。作成するアプリケーションの種類をカードアプリからダウンロードアプリに変更する場合でも、CTR_APPTYPE の指定と、いくつかの設定を変更するだけで行うことができます。\nOMakefile で CTR_BANNER_SPEC を指定した場合、CTR_BANNER_SPEC で指定された BSF ファイルの内容に基づいて、ICN ファイルと BNR ファイルがビルド時に作成されます。このため、CTR_BANNER_SPEC を指定した場合は、CTR_BANNER、CTR_ICON を指定していたり、CTR_NO_BANNER、CTR_NO_BANNER_ICON の値を指定していたとしても、その設定は無視されます。\n詳細については CTR-SDK の「ビルドルール」を参照してください。\n",0]
,["Pages/Page_54698714.html#PageId_54698716","5.1.1. カードアプリの作成",
"5.1.1. カードアプリの作成\nカードアプリをビルドする OMakefile を記述する上で、必須もしくは対応すべき内容は以下のとおりです。\n 表 5-1. カードアプリをビルドする OMakefile に記述する内容\n \t設定 \t内容\n \tCTR_APPTYPE \t「CARD」\n \tDESCRIPTOR \t 「$(CTRSDK_ROOT)/resources/specfiles/Application.desc」（標準アプリ）\n 「$(CTRSDK_ROOT)/resources/specfiles/ExtApplication.desc」（拡張アプリ）\n \tROM_SPEC_FILE \tRSF ファイルを指定します。\n \tCTR_BANNER \tBNR ファイルを指定します。\n \tCTR_ICON \tICN ファイルを指定します。\n \tMANUAL_DIR \t電子取扱説明書のファイルが格納されているディレクトリを指定します。\n \tCHILD_APPS[] \tダウンロードプレイに対応する場合、配信する子機プログラムの CIA ファイル（複数指定可能）を指定します。\n コード 5-1. OMakefile の記述例（カードアプリ）\n SUPPORTED_TARGETS = CTR-TS.Process.MPCore.*\n～ 中略（ヘッダファイル、ソースファイル、ライブラリ、シェーダの指定など） ～\nTARGET_PROGRAM = MyApp\nTITLE = MyApp\nCTR_APPTYPE = CARD\nDESCRIPTOR = $(CTRSDK_ROOT)/resources/specfiles/Application.desc\nROM_SPEC_FILE = MyApp.rsf\nCTR_BANNER = MyApp.bnr\nCTR_ICON = MyApp.icn\nROMFS_ROOT = romfiles\nMANUAL_DIR = manual\nCHILD_APPS[] =\n ../MyChildApp/images/$(BUILD_TARGET_DIR)/$(BUILD_TYPE_DIR)/MyChildApp.cia\ninclude $(ROOT_OMAKE)/modulerules\nbuild: $(DEFAULT_TARGETS)\n表にない設定については、CTR-SDK の「ビルドルール」を参照してください。\n",0]
,["Pages/Page_54698714.html#PageId_54698717","5.1.2. ダウンロードアプリの作成",
"5.1.2. ダウンロードアプリの作成\nダウンロードアプリをビルドする OMakefile を記述する上で、必須もしくは対応すべき内容は以下のとおりです。\n 表 5-2. ダウンロードアプリをビルドする OMakefile に記述する内容\n \t設定 \t内容\n \tCTR_APPTYPE \t「SD」\n \tDESCRIPTOR \t 「$(CTRSDK_ROOT)/resources/specfiles/Application.desc」（標準アプリ・製品版）\n 「$(CTRSDK_ROOT)/resources/specfiles/DemoVersion.desc」（標準アプリ・体験版）\n 「$(CTRSDK_ROOT)/resources/specfiles/ExtApplication.desc」（拡張アプリ・製品版）\n 「$(CTRSDK_ROOT)/resources/specfiles/ExtDemoVersion.desc」（拡張アプリ・体験版）\n \tROM_SPEC_FILE \tRSF ファイルを指定します。\n \tCTR_BANNER \tBNR ファイルを指定します。\n \tCTR_ICON \tICN ファイルを指定します。\n \tMANUAL_DIR \t電子取扱説明書のファイルが格納されているディレクトリを指定します。\n \tMANUAL_DISCLOSURE \t あらかじめダウンロードで電子取扱説明書を見せる場合に public を指定します。見せない場合、指定は不要です。\n \tCHILD_APPS[] \tダウンロードプレイに対応する場合、配信する子機プログラムの CIA ファイル（複数指定可能）を指定します。\n コード 5-2. OMakefile の記述例（ダウンロードアプリ）\n SUPPORTED_TARGETS = CTR-TS.Process.MPCore.*\n～ 中略（ヘッダファイル、ソースファイル、ライブラリ、シェーダの指定など） ～\nTARGET_PROGRAM = MyDownloadApp\nTITLE = MyApp\nCTR_APPTYPE = SD\nDESCRIPTOR = $(CTRSDK_ROOT)/resources/specfiles/Application.desc\nROM_SPEC_FILE = MyDownloadApp.rsf\nCTR_BANNER = MyDownloadApp.bnr\nCTR_ICON = MyDownloadApp.icn\nROMFS_ROOT = romfiles\nMANUAL_DIR = manual\nMANUAL_DISCLOSURE = public\nCHILD_APPS[] =\n ../MyChildApp/images/$(BUILD_TARGET_DIR)/$(BUILD_TYPE_DIR)/MyChildApp.cia\ninclude $(ROOT_OMAKE)/modulerules\nbuild: $(DEFAULT_TARGETS)\n表にない設定については、CTR-SDK の「ビルドルール」を参照してください。\n",0]
,["Pages/Page_54698714.html#PageId_54698718","5.1.3. 子機プログラムの作成",
"5.1.3. 子機プログラムの作成\n子機プログラムをビルドする OMakefile を記述する上で、必須もしくは対応すべき内容は以下のとおりです。\n 表 5-3. 子機プログラムをビルドする OMakefile に記述する内容\n \t設定 \t内容\n \tCTR_APPTYPE \t「NAND」\n \tDESCRIPTOR \t 「$(CTRSDK_ROOT)/resources/specfiles/DlpChild.desc」（標準アプリ）\n ※ 拡張アプリの子機プログラムは作成できません。\n \tROM_SPEC_FILE \tRSF ファイルを指定します。\n \tCTR_NO_BANNER \t「true」\n \tCTR_ICON \tICN ファイルを指定します。\n コード 5-3. OMakefile の記述例（子機プログラム）\n SUPPORTED_TARGETS = CTR-TS.Process.MPCore.*\n～ 中略（ヘッダファイル、ソースファイル、ライブラリ、シェーダの指定など） ～\nTARGET_PROGRAM = MyChildApp\nTITLE = ChildApp\nCTR_APPTYPE = NAND\nDESCRIPTOR = $(CTRSDK_ROOT)/resources/specfiles/DlpChild.desc\nROM_SPEC_FILE = MyChildApp.rsf\nCTR_NO_BANNER = true\nCTR_ICON = MyChildApp.icn\nROMFS_ROOT = romfiles\ninclude $(ROOT_OMAKE)/modulerules\nbuild: $(DEFAULT_TARGETS)\n表にない設定については、CTR-SDK の「ビルドルール」を参照してください。\n",0]
,["Pages/Page_54698714.html#PageId_54698719","5.2. CTR-SDK のビルドシステム以外でビルドする場合",
"5.2. CTR-SDK のビルドシステム以外でビルドする場合\nCTR-SDK で提供されているビルドシステムを使用せず、独自のビルドシステムを構築する場合にアプリケーションを作成するまでに必要な手順を説明します。\n詳細については CTR-SDK の「ビルドシステム構築ガイド」を参照してください。\n",0]
,["Pages/Page_54698714.html#PageId_54698720","5.2.1. AXF ファイルの作成",
"5.2.1. AXF ファイルの作成\narmcc でコンパイルしたオブジェクトファイルやライブラリファイル等を armlink でリンクし、AXF ファイルを作成します。\n コマンドの実行例：\n armlink --datacompressor off --keep=nnMain \\\n--scatter=$CTRSDK_ROOT/resources/specfiles/linker/CTR.Process.MPCore.ldscript \\\n-o MyApp.axf MyApp.o MyAppLib.a ...\n詳しくは ARMCC のドキュメント、CTR-SDK の「ビルドシステム構築ガイド」を参照してください。\n",0]
,["Pages/Page_54698714.html#PageId_54698722","5.2.2. ICN ファイルと BNR ファイルの作成",
"5.2.2. ICN ファイルと BNR ファイルの作成\nアプリケーションで使用するアイコンデータとバナーデータのファイルを作成します。\n コマンドの実行例：\n ctr_makebanner32.exe MyApp.bsf\nBSF ファイル以外の引数を指定しなかった場合、ICN ファイルと BNR ファイルは BSF ファイルの拡張子を置き換えて作成されます。上記の実行例の場合は MyApp.icn と MyApp.bnr の 2 ファイルが作成されます。\n詳しくは「4.2. BSF ファイル」、CTR-SDK のツール「ctr_makebanner」のリファレンスを参照してください。\n",0]
,["Pages/Page_54698714.html#PageId_54698724","5.2.3. 電子取扱説明書の CFA ファイルの作成",
"5.2.3. 電子取扱説明書の CFA ファイルの作成\nアプリケーションに付属させる電子取扱説明書の CFA ファイルを作成するには、ctr_makerom32.exe を以下のオプションで実行します。電子取扱説明書のファイル（Manual.bcma）は、事前に CTR-ManualTools で作成してください。\n \t -f data \t -rsf $CTRSDK_ROOT/resources/specfiles/Manual.rsf \t -DROMFS_ROOT=<電子取扱説明書のファイル（Manual.bcma）が格納されているディレクトリ> \t -DMANUAL_DISCLOSURE=<あらかじめダウンロードで電子取扱説明書を見せるなら true、見せないなら false> \t -o <作成する CFA ファイルの名前>\n コマンドの実行例：\n ctr_makerom32.exe -DROMFS_ROOT=manual_dir -DMANUAL_DISCLOSURE=true -f data \\\n-rsf $CTRSDK_ROOT/resources/specfiles/Manual.rsf -o Manual.cfa\n詳しくは「4.3. 電子取扱説明書」、CTR-SDK のツール「ctr_makerom」のリファレンスを参照してください。\n",0]
,["Pages/Page_54698714.html#PageId_54698726","5.2.4. カードアプリの作成",
"5.2.4. カードアプリの作成\nカードアプリのデバッグやマスターとして提出する ROM には、カードアプリの最終 ROM イメージ形式である CCI ファイルを使用します。\n",0]
,["Pages/Page_54698714.html#PageId_54698727","5.2.4.1. CCI ファイルの作成",
"5.2.4.1. CCI ファイルの作成\nCCI ファイルの作成には、以下のファイルを必要とします。\n \tAXF ファイル \tDESC ファイル（CTR-SDK に付属のファイル） \tRSF ファイル \tICN ファイル \tBNR ファイル \t電子取扱説明書の CFA ファイル（電子取扱説明書に対応する場合） \t子機プログラムの CFA ファイル（ダウンロードプレイに対応する場合）\nCCI ファイルを作成するには、以下のオプションを指定して ctr_makerom32.exe を実行します。\n \t -f card \t -rsf <RSF ファイル> \t -desc $CTRSDK_ROOT/resources/specfiles/Application.desc \t拡張アプリの場合は -desc $CTRSDK_ROOT/resources/specfiles/ExtApplication.desc\n \t -icon <ICN ファイル> \t -banner <BNR ファイル> \t -content <CFA ファイル>:<インデックス>\tCFA ファイルが電子取扱説明書のファイルの場合はインデックスに 1 を指定します。\tCFA ファイルが子機プログラムのファイルの場合はインデックスに 2 を指定します。\n \t -o <作成する CCI ファイルの名前>\n詳しくは CTR-SDK のツール「ctr_makerom」のリファレンスを参照してください。\n コマンドの実行例：\n ctr_makerom32.exe MyApp.axf -f card -rsf MyApp.rsf \\\n-desc $CTRSDK_ROOT/resources/specfiles/Application.desc \\\n-icon MyApp.icn -banner MyApp.bnr \\\n-content Manual.cfa:1 -content MyChildApp.cfa:2 \\\n-o MyApp.cci\n",0]
,["Pages/Page_54698714.html#PageId_54698728","5.2.5. ダウンロードアプリの作成",
"5.2.5. ダウンロードアプリの作成\nダウンロードアプリのデバッグやマスターとして提出する ROM には、ダウンロードアプリの最終 ROM イメージ形式である CIA ファイルを使用します。\nCIA ファイルの作成には CXI ファイルが必要ですので、先に CXI ファイルを作成します。\n",0]
,["Pages/Page_54698714.html#PageId_54698729","5.2.5.1. CXI ファイルの作成",
"5.2.5.1. CXI ファイルの作成\nCXI ファイルの作成には、以下のファイルを必要とします。\n \tAXF ファイル \tDESC ファイル（CTR-SDK に付属のファイル） \tRSF ファイル \tICN ファイル \tBNR ファイル\nCXI ファイルを作成するには、以下のオプションを指定して ctr_makerom32.exe を実行します。\n \t -f exec \t -rsf <RSF ファイル> \t -desc $CTRSDK_ROOT/resources/specfiles/Application.desc \t標準アプリの体験版は -desc $CTRSDK_ROOT/resources/specfiles/DemoVersion.desc \t 拡張アプリは -desc $CTRSDK_ROOT/resources/specfiles/ExtApplication.desc \t 拡張アプリの体験版は -desc $CTRSDK_ROOT/resources/specfiles/ExtDemoVersion.desc\n \t -icon <ICN ファイル> \t -banner <BNR ファイル> \t -o <作成する CXI ファイルの名前>\n詳しくは CTR-SDK のツール「ctr_makerom」のリファレンスを参照してください。\n コマンドの実行例：\n ctr_makerom32.exe MyDownloadApp.axf -f exec -rsf MyApp.rsf \\\n-desc $CTRSDK_ROOT/resources/specfiles/Application.desc \\\n-icon MyApp.icn -banner MyApp.bnr \\\n-o MyDownloadApp.cxi\n",0]
,["Pages/Page_54698714.html#PageId_54698730","5.2.5.2. CIA ファイルの作成",
"5.2.5.2. CIA ファイルの作成\nCIA ファイルの作成には、以下のファイルを必要とします。\n \tCXI ファイル \t電子取扱説明書の CFA ファイル \t子機プログラムの CFA ファイル（ダウンロードプレイに対応する場合）\nCIA ファイルを作成するには、以下のオプションを指定して ctr_makecia32.exe を実行します。\n \t -i <CXI ファイル> \t -man <電子取扱説明書の CFA ファイル> \t -i <子機プログラムのCFA ファイル>:2（インデックスの指定が必要です） \t -o <作成する CIA ファイルの名前>\n詳しくは CTR-SDK のツール「ctr_makecia」のリファレンスを参照してください。\n コマンドの実行例：\n ctr_makecia32.exe -i MyDownloadApp.cxi -man Manual.cfa -o MyDownloadApp.cia\n",0]
,["Pages/Page_54698714.html#PageId_54698731","5.2.6. 子機プログラムの作成",
"5.2.6. 子機プログラムの作成\nカードアプリやダウンロードアプリに含める子機プログラムは 1 つの CFA ファイルにまとめ、カードアプリやダウンロードアプリの作成時のオプションで指定します。\nCFA ファイルの作成には CIA ファイル、CIA ファイルには CXI ファイルが必要ですので、CXI ファイル、CIA ファイル、CFA ファイルの順に作成します。\n",0]
,["Pages/Page_54698714.html#PageId_54698732","5.2.6.1. CXI ファイルの作成",
"5.2.6.1. CXI ファイルの作成\nCXI ファイルの作成には、以下のファイルを必要とします。バナーは表示されませんので、BNR ファイルは必要ありません。\n \tAXF ファイル \tDESC ファイル（CTR-SDK に付属のファイル） \tRSF ファイル \tICN ファイル\nCXI ファイルを作成するには、以下のオプションを指定して ctr_makerom32.exe を実行します。\n \t -f exec \t -rsf <RSF ファイル> \t -desc $CTRSDK_ROOT/resources/specfiles/DlpChild.desc \t -icon <ICN ファイル> \t -o <作成する CXI ファイルの名前>\n詳しくは CTR-SDK のツール「ctr_makerom」のリファレンスを参照してください。\n コマンドの実行例：\n ctr_makerom32.exe MyChildApp.axf -f exec -rsf MyChildApp.rsf \\\n-desc $CTRSDK_ROOT/resources/specfiles/DlpChild.desc \\\n-icon MyChildApp.icn \\\n-o MyChildApp.cxi\n",0]
,["Pages/Page_54698714.html#PageId_54698733","5.2.6.2. CIA ファイルの作成",
"5.2.6.2. CIA ファイルの作成\nCIA ファイルの作成には、以下のファイルを必要とします。\n \tCXI ファイル\nCIA ファイルを作成するには、以下のオプションを指定して ctr_makecia32.exe を実行します。\n \t -i <CXI ファイル> \t -o <作成する CIA ファイルの名前>\n詳しくは CTR-SDK のツール「ctr_makecia」のリファレンスを参照してください。\n コマンドの実行例：\n ctr_makecia32.exe -i MyChildApp.cxi -o MyChildApp.cia\n",0]
,["Pages/Page_54698714.html#PageId_54698734","5.2.6.3. CFA ファイルの作成",
"5.2.6.3. CFA ファイルの作成\nCFA ファイルの作成には、以下のファイルを必要とします。\n \t配信する子機プログラムすべての CIA ファイル\nCFA ファイルを作成するには、以下のオプションを指定して ctr_makeciaarchive32.exe を実行します。ダウンロードプレイで配信する子機プログラムは、1 つの CFA ファイルにまとめて格納されます。\n \t -cia <子機プログラムの CIA ファイルのリスト> \t -o <作成する CFA ファイルの名前>\n詳しくは CTR-SDK のツール「ctr_makeciaarchive」のリファレンスを参照してください。\n コマンドの実行例：\n ctr_makeciaarchive32.exe -cia MyChildApp.cia -o MyChildApp.cfa\nここで作成した CFA ファイルは、カードアプリの作成時のオプション -content（インデックス 2）や、ダウンロードアプリ作成時のオプション -i（インデックス 2）の指定で使用します。\n",0]
,["Pages/Page_54698735.html","6. デバッグ",
"6. デバッグ\nデバッグには以下のハードウェアとデバッガソフトウェアの組み合わせを使用します。\n 表 6-1. デバッグに使用するハードウェアとデバッガソフトウェアの組み合わせ\n \tハードウェア \tデバッガソフトウェア \t3DS 専用アプリ \tSNAKE 対応アプリ\n \tPARTNER-CTR Debugger \tPARTNER-CTR \t○ \t×\n \tIS-SNAKE-BOX \tIS-CTR-DEBUGGER \t○ \t○\n ",0]
,["Pages/Page_54698735.html#PageId_54698736","6.1. 起動時に表示されるメニューによって異なるデバッグ方法",
"6.1. 起動時に表示されるメニューによって異なるデバッグ方法\nPARTNER-CTR Debugger や IS-SNAKE-BOX を起動したとき表示されるメニューは Config ツールの「Menu Setting」にある「Menu」で切り替えることができます。アプリケーションをデバッグする方法は表示されるメニューによって異なります。\n",0]
,["Pages/Page_54698735.html#PageId_54698737","6.1.1. 開発用メニューから起動する場合",
"6.1.1. 開発用メニューから起動する場合\n通常のデバッグは CCI ファイルまたは CIA ファイルを PARTNER-CTR または IS-CTR-DEBUGGERに読み込ませることで行います。起動直後からデバッグを行うことができますので、この方法でのデバッグを推奨します。\nただし、CTR FLASH CARD に書き込まれたカードアプリは開発用メニューから起動しても、HOMEメニューから起動する場合と同じ方法でなければデバッグを行うことができません。DevMenu からダウンロードアプリを起動した場合も同じです。\n",0]
,["Pages/Page_54698735.html#PageId_54698738","6.1.2. HOMEメニューから起動する場合",
"6.1.2. HOMEメニューから起動する場合\nHOMEメニューから起動した場合はデバッガソフトウェアを介していないため、そのままではデバッグすることができません。\n以下の手順で HOMEメニューから起動したアプリケーションをデバッグすることができます。（カードアプリのほか、SD カードにインポートされたダウンロードアプリもデバッグすることができます）\n",0]
,["Pages/Page_54698735.html#Anchor_54698738_【PARTNER-CTRを使用する場合】","【PARTNER-CTR を使用する場合】",
"【PARTNER-CTR を使用する場合】\n 補足：\n PARTNER-CTR のエミュレーションメモリにロードしたアプリケーションは、リセットすることで HOMEメニューに表示されます。\n \tPARTNER-CTR を起動します。 \tHOMEメニューからアプリケーションを起動します。 \tPARTNER-CTR のコマンドウィンドウで ATTACHA コマンドを実行します。\n> ATTACHA \tLS コマンドで、シンボルファイルをロードします。\n> LS MyApplicaton.axf\nこの方法では起動済みのアプリケーションのデバッグとなるため、起動直後の箇所のデバッグは行うことができません。\nPARTNER-CTR のコマンドの詳細については、「PARTNER-CTR デバッガマニュアル」を参照してください。\n",0]
,["Pages/Page_54698735.html#Anchor_54698738_【IS-CTR-DEBUGGERを使用する場合】","【IS-CTR-DEBUGGER を使用する場合】",
"【IS-CTR-DEBUGGER を使用する場合】\n 補足：\n IS-CTR-DEBUGGER に CCI ファイルまたは CIA ファイルを読み込みませることでも HOMEメ ニューに表示できます。\n \tIS-CTR-DEBUGGER を起動します。 \tHOMEメニューからアプリケーションを起動します。 \tIS-CTR-DEBUGGER メニューの「デバッグ」→「実行中のプログラムにアタッチ」を選択します。 \tIS-CTR-DEBUGGER メニューの「ファイル」→「開く」を選択し、AXF ファイルを読み込みます。\nこの方法では起動済みのアプリケーションのデバッグとなるため、起動直後の箇所のデバッグは行うことができません。\n",0]
,["Pages/Page_54698735.html#PageId_54698739","6.2. cia ファイルをデバッガソフトウェアで実行する場合",
"6.2. cia ファイルをデバッガソフトウェアで実行する場合\ncia ファイルを直接デバッガソフトウェアでロードしてデバッグする際に、C8804478 エラーが発生することがあります。これは、cia ファイルと同じディレクトリに cxi ファイルが存在せず、かつアプリケーションがデフォルトのユニーク ID を使用していなかった場合に発生します。\ncia ファイルを直接デバッガソフトウェアから実行したい場合は、下記のいずれかの対応が必要です。\n \tアプリケーションをデフォルトのユニーク ID でビルドする \tcia と同じディレクトリに cxi ファイルを配置する\n",0]
,["Pages/Page_54698740.html","7. DLL（動的モジュール）の利用",
"7. DLL（動的モジュール）の利用\nDLL を利用することで、プログラムによるメモリの消費を抑えることができるほか、起動時には静的モジュールのみがロードされますので、起動までの時間（3DS ロゴの表示時間）を短縮することができます。\n",0]
,["Pages/Page_54698740.html#PageId_54698742","7.1. 実装",
"7.1. 実装\nDLL を利用しない場合は 1 つのメインプログラムにすべてを実装しますが、利用した場合はプログラムの実装を複数の動的モジュールに分割し、必要なときに必要なモジュールをメモリにロードして実行することができます。ただし、小さな単位の動的モジュールに分割しすぎると、モジュールのロードに時間がかかったり、頻繁な入れ替えでメモリの管理が複雑になったりする可能性があります。\n詳しくは、CTR-SDK の「DLL マニュアル」、「3DS プログラミングマニュアル - システム編」を参照してください。\n",0]
,["Pages/Page_54698740.html#PageId_54698743","7.2. ビルド前の準備",
"7.2. ビルド前の準備\n「4. ビルド前の準備」で行う手順と同じです。\n",0]
,["Pages/Page_54698740.html#PageId_54698744","7.3. ビルド",
"7.3. ビルド\n",0]
,["Pages/Page_54698740.html#PageId_54698745","7.3.1. CTR-SDK のビルドシステムでビルドする場合",
"7.3.1. CTR-SDK のビルドシステムでビルドする場合\nモジュールのソースの配置や OMakefile の記述方法に注意するだけで、容易に動的モジュールに対応したアプリケーションをビルドすることができます。ただし、アプリケーション（静的モジュール）と動的モジュールの親ディレクトリが同じになるように、モジュールごとにビルドディレクトリを作成し、ソースファイルと OMakefile を個別に配置する必要があることに注意してください。\n動的モジュールのビルドのために、OMakefile には以下の設定が追加されています。\n 表 7-1. 動的モジュールのビルドで追加された設定\n \t設定 \t内容\n \tTARGET_MODULE \t動的モジュールの名前を指定します。\n \tMODULE_LIST \t自分以外のモジュール（静的モジュール含む）をすべて指定します。\n \tMODULE_EXPORT_TYPE \t 動的モジュールの公開種別を指定します。\n \tSYMBOL：名前（デフォルト） \tINDEX：インデックス \tOFFSET：オフセット\n \tMODULE_ENABLE_OFFSET \tデフォルトでは true に設定されていますので、すべてのモジュールを同時にビルドする必要があります。false に設定した場合はモジュールのビルドタイミングが自由になりますが、公開種別にオフセットを指定することができなくなります。\n \tMODULE_ADD_DEBUG_INFO \t作成される CRR ファイルに CRO ファイルのデバッグ情報を含めるかどうかを指定します。デフォルトは true に設定されていますので、デバッガでのソースデバッグが可能になります。false に設定した場合はソースデバッグができなくなりますが、CRR ファイルのサイズが小さくなります。\n 動的モジュールのビルドに、RSF ファイル、ICN ファイル、BNR ファイル、DESC ファイルの指定は不要です。また、TARGET_PROGRAM ではなく、TARGET_MODULE に動的モジュールの名前を指定することに注意してください。ビルドの結果、CRO ファイルが作成されます。\n コード 7-1. 動的モジュールの OMakefile の例\n TARGET_MODULE = Module1\nMODULE_LIST = ../App ../Module2\nSOURCES = module.cpp\ninclude $(ROOT_OMAKE)/modulerules\nbuild: $(DEFAULT_TARGETS)\n静的モジュールのビルドは、通常のビルド設定に MODULE_LIST の指定を追加するだけです。ビルドの結果、CRS ファイルと CRR ファイルが作成されます。\n コード 7-2. アプリケーションの OMakefile に追加する設定の例\n MODULE_LIST = ../Module1 ../Module2\n作成された CRO ファイル、CRS ファイル、CRR ファイルは ROM アーカイブに格納する必要があります。CRO ファイルと CRS ファイルには、配置や圧縮に制限がありません。CRR ファイルには、ルート直下に作成した「.crr」ディレクトリに無圧縮で配置し、そのディレクトリには CRR ファイル以外を格納しないという強い制限があります。\n以下の例は、動的モジュールを利用したアプリケーションのビルドで、各ファイルの格納を OMake で自動化する方法です。\n コード 7-3. 動的モジュールのファイルの格納を自動化する OMakefile の例\n MODULE_NAMES = Module1 Module2\nMODULES_ROOT = ../\nMODULE_CRO = $(addprefix $(ROMFS_ROOT)/, $(addsuffix .cro, $(MODULE_NAMES)))\nSTATIC_CRS = $(ROMFS_ROOT)/static.crs\nSTATIC_CRR = $(ROMFS_ROOT)/.crr/static.crr\nROMFS_DEPENDENCIES = $(MODULE_CRO) $`(STATIC_CRS) $`(STATIC_CRR)\nforeach(TARGET, $(BUILDER.getTargets $(SUPPORTED_TARGETS)))\n foreach(module, $(MODULE_NAMES))\n src = $(file $(TARGET.getImageDirectoryOf $(MODULES_ROOT)$(module))/$(module).cro)\n dst = $(addprefix $(ROMFS_ROOT)/, $(addsuffix .cro, $(module)))\n $(dst) : $(src)\n cp $< $@\n $(STATIC_CRS): $(TARGET.getImageDirectory false)/$(TARGET_PROGRAM).crs\n cp $< $@\n $(STATIC_CRR): $(TARGET.getImageDirectory false)/$(TARGET_PROGRAM).crr\n mkdir -p $(dirname $@)\n cp $< $@\n詳細については CTR-SDK の「ビルドシステムマニュアル（DLL 編）」を参照してください。\n",0]
,["Pages/Page_54698740.html#PageId_54698746","7.3.2. CTR-SDK のビルドシステム以外でビルドする場合",
"7.3.2. CTR-SDK のビルドシステム以外でビルドする場合\nCTR-SDK のビルドシステムを使用せずに動的モジュールをビルドするには、部分リンクやシンボルの参照解決など、特別な手順をビルドシステムに追加する必要があります。\n詳細については CTR-SDK の「ビルドシステム構築ガイド（DLL 編）」を参照してください。\n",0]
,["Pages/Page_54698740.html#PageId_54698747","7.4. デバッグ",
"7.4. デバッグ\nCRR ファイルに CRO ファイルのデバッグ情報が含まれるように設定してビルドした場合は、デバッガによるソースデバッグが可能になります。\nCRR ファイルに CRO ファイルのデバッグ情報を含める方法については、「7.3.1. CTR-SDK のビルドシステムでビルドする場合」、CTR-SDK の「ビルドシステム構築ガイド（DLL 編）」を参照してください。\n",0]
,["Pages/Page_54698748.html","8. ダウンロード販売可能なカードアプリの開発手順",
"8. ダウンロード販売可能なカードアプリの開発手順\n任天堂は CTR の本体システム開発当初から、カードアプリとして開発されたソフトがそのままニンテンドーeショップでも販売できるようにすることを目指してきました。このため、CTR-SDK はカードアプリとダウンロードアプリでコードを書き分ける必要性を極力排除してデザインされており、ガイドラインにおいてもアプリケーションへの要請事項は可能な限りカードアプリとダウンロードアプリで共通になっています。\nこの章では、同一のアプリケーションをカードアプリとダウンロードアプリの両方で販売できるようにする（併売対応する）ための手順を、新規に開発するカードアプリを併売対応するケースと、発売済みのカードアプリをダウンロードアプリとして販売するケースに分けて説明します。また、アプリケーションの修正が必要になった場合の手順も説明します。\n 注意：\n ダウンロードアプリ (cia) としてマスター提出した場合は、後からカードアプリとして販売を依頼することが出来ません。併売をご検討の場合はカードアプリ (cci) としてマスター提出するようにお願いします。\n",0]
,["Pages/Page_54698748.html#PageId_54698749","8.1. 新規に開発するカードアプリを併売対応するケース",
"8.1. 新規に開発するカードアプリを併売対応するケース\nダウンロード版との併売に対応したカードアプリの新規開発は、基本的に通常のカードアプリを開発する場合と同じ手順で行います。ここでは、開発手順の中で留意すべき情報を説明します。\n",0]
,["Pages/Page_54698748.html#PageId_54698750","8.1.1. 企画段階",
"8.1.1. 企画段階\n同一タイトルのカードアプリとダウンロードアプリは「販路の異なる同一の商品」という扱いです。カードアプリとダウンロードアプリで挙動が異なることがないようにしてください。\n 補足：\n カードアプリとダウンロードアプリで挙動に違いを出したい場合は、弊社窓口までご相談ください。\n また、許可を得て挙動に違いをつける場合は、マスター提出時のチェックシートの「弊社承認仕様」に挙動の違いを具体的に記載する必要があります。\n",0]
,["Pages/Page_54698748.html#PageId_54698751","8.1.2. 取得する製品コードとユニーク ID",
"8.1.2. 取得する製品コードとユニーク ID\n併売対応のアプリケーションでは、カードアプリ用の製品コードとユニーク ID をカードアプリとダウンロードアプリの両方で使用します。パッケージ販売用とダウンロード販売用の 2 種類の製品コードおよびユニーク ID を取得しないように注意してください。\n例： カードアプリ用の製品コード「CTR-P-AAAJ(JPN)」を取得した場合は、ダウンロードアプリの製品コードも「CTR-P-AAAJ」としてください。ダウンロードアプリを意味する「CTR-N-AAAJ」は使用しません。\nなお、製品コードに限り、実際の商品を管理する場合などに、ダウンロード版の製品コードを読み替えて（上記の例の場合は「CTR-N-AAAJ」と読み替えて）運用しますが、ソフト制作とマスター提出に関しては、「同じ製品コードとユニーク ID」と考えていただいて問題ありません。\n",0]
,["Pages/Page_54698748.html#PageId_54698752","8.1.3. 電子取扱説明書",
"8.1.3. 電子取扱説明書\n 必ず、カードアプリとダウンロード共通の電子取扱説明書を添付してください。\n 電子取扱説明書の作成には、「電子説明書制作マニュアル Part2：テンプレート編集」の最新版を使用してください。\n",0]
,["Pages/Page_54698748.html#PageId_54698753","8.1.4. セーブデータ、追加データ",
"8.1.4. セーブデータ、追加データ\n1 台の本体で同一タイトルのパッケージ版とダウンロード版をプレイした場合、セーブデータについてはそれぞれ個別のデータ（パッケージ版はゲームカード内のバックアップメモリ、ダウンロード版は SD カード）にアクセスしますが、追加データ（拡張セーブデータ）については、双方が共通（同一）の追加データにアクセスすることになります。この状況にアプリケーションがどのように対応すべきかは、以下のように考えてください。\n上述の状況は、同一タイトルの複数のゲームカードを 1 台の本体でプレイした場合にも発生します。ダウンロード販売に対応するかどうかに関わらず、カードアプリはこの状況で致命的な不具合が発生しないよう対応しているはずですので、これができていれば、ダウンロード販売のために追加で対応すべきことはありません。\n「パッケージ版を所持していたユーザーが後日ダウンロード版を購入した際に、セーブデータを移行できる」といった特別な対応をアプリケーションで行う必要はありませんが、もしパッケージ版同士でデータ移行する機能などを実装している場合は、同等のサービスがパッケージ版とダウンロード版の間でも享受できることを確認してください。\n",0]
,["Pages/Page_54698748.html#PageId_54698754","8.1.5. セーブデータの巻き戻しについて",
"8.1.5. セーブデータの巻き戻しについて\nカードアプリの場合はユーザーの操作でセーブデータを以前の状態に巻き戻すということはできませんが、ダウンロードアプリの場合は PC を用いれば簡単に実現できてしまいます。セーブデータを保存したいタイミングで SD カードの内容すべてを PC にバックアップし、ゲームを進めたあとに PC にバックアップしたデータを SD カードに書き戻すことで、巻き戻しを実現できます。\n SetSaveDataSecureValue() と VerifySaveDataSecureValue()（または VerifySaveDataSecureValueLoosely()）を用いることで、アプリケーションはセーブデータが巻き戻されたことを検出できます。カードアプリから呼ばれた場合、SetSaveDataSecureValue() は何も行わず、VerifySaveDataSecureValue() と VerifySaveDataSecureValueLoosely() は常に true を返します。つまり、カードアプリとして動作する場合は何も起こりませんので、これらの関数はダウンロード販売に対応したカードアプリでも使用することができます。\nゲームの企画上、セーブデータの巻き戻しがゲームバランス等に致命的な影響を与える場合は、これらの関数の使用をご検討ください。ただし、「巻き戻りを検出した際はセーブデータ全体を使えないようにする」というように、ユーザーに対して致命的なペナルティを設ける場合は以下のケースも想定されますので、ユーザーへの伝え方とサポート対応も十分に考慮の上、アプリケーションの仕様を決定してください。\n \t巻き戻しに対してペナルティがあることを知らずに、データを PC にバックアップし、SD カードにある最新の SetSaveDataSecureValue() で記録した値に対応したデータを削除してしまった場合\nほかのゲームソフト（巻き戻し対策をしていないダウンロードアプリ）ではこのような操作を行っても問題が生じないため、やってはいけないことと認識されないまま、データを失ってしまう危険性があります。\n \t本体修理で、SD カードのセーブデータはそのまま使えるよう救済できたが、本体保存メモリ内のデータは救済できなかった場合\nSetSaveDataSecureValue() で記録した値が失われ、セーブデータ内の値との整合性が取れなくなります。このような状況では、VerifySaveDataSecureValue() を用いていた場合はペナルティが発動してしまいますが、VerifySaveDataSecureValueLoosely() を用いていた場合は true を返しますので、修理前に SD カードに入っていたセーブデータを使用することができます。ただし、修理前の SD カードに入っていたセーブデータが巻き戻しされたデータである可能性はありますので、企画の面からこれが許容できるかを判断してください。\n",0]
,["Pages/Page_54698748.html#PageId_54698755","8.1.6. ゲーム内の表記、表示",
"8.1.6. ゲーム内の表記、表示\nゲーム中のテキストメッセージや権利表記などは、ユーザーがカードアプリまたはダウンロードアプリのどちらで遊んでいても問題のないものにしてください。\n以下は、カードアプリとダウンロードアプリの違いを考慮すべきゲーム内メッセージの一例です。\n \t記録媒体の違い\nカードアプリでは、ゲームカードにソフトとセーブデータが保存されています。\nダウンロードアプリでは、SD カードにソフトとセーブデータが保存されています。\nゲーム内メッセージの良い例と悪い例：\n　　　　×：「セーブ中です。ゲームカードを抜かないでね。」\n　　　　○：「セーブ中です。ゲームカード/SDカードを抜かないでね。」\n　　　　○：「セーブ中です。カードを抜かないでね。」\n \t同梱印刷物の有無\nカードアプリには操作説明シートなどの印刷物が付属していますが、 ダウンロードアプリにはこれらの印刷物が付属していません。\nゲーム内メッセージの良い例・悪い例：\n　　　　×：「操作方法は付属の操作説明シートを見てね。」\n　　　　○：「操作方法は電子説明書を見てね。」\n　　　　○：「操作方法はゲーム内のヘルプを見てね。」\nなお、ダウンロードアプリの場合とカードアプリの場合とを区別してユーザーに情報を伝えたい場合は、\nダウンロードアプリ → ダウンロード版\nカードアプリ → パッケージ版\nのように、ユーザー向け用語を使用してください。\n",0]
,["Pages/Page_54698748.html#PageId_54698756","8.1.7. ダウンロードプレイ",
"8.1.7. ダウンロードプレイ\n3DS のダウンロードプレイでは、親機側がカードアプリの場合はダウンロードプレイのシーケンス内でローカル通信を経由した本体更新（DUP）が行われますが、親機側がダウンロードアプリの場合は DUP ができない仕様となっています。そのため、子機側本体のファームウェアバージョンが要求されるバージョンよりも古い場合、事前に本体更新がなされている必要があります。\nこのことをユーザーに適切に伝えるために、以下のいずれかの方法を実施してください。\n \tダウンロードプレイの親機となる場合、子機を受け付けている間またはそれ以前のタイミングで、以下のメッセージを表示する。\n「通信相手側に『本体の更新が必要です』と表示された場合は、ダウンロードプレイで遊ぶことができません。\n通信相手側は『キャンセル』を選び、『本体設定』から本体の更新をしてください。『OK』を選んでも本体は更新されません。」\n上記メッセージが長すぎて表示できない場合は、最低限「システムバージョンが古い本体とはダウンロードプレイできない」旨を表示してください。\nメッセージは、nn::dlp::Server(WithName)::Initialize() の引数 pNotice に true がセットされていた場合のみ表示してください。引数 pNotice が false となるのは、自身がカードアプリで DUP が可能な場合か、将来のシステムアップデートでダウンロードアプリでも DUP が可能になった場合です。\n \t電子取扱説明書で、子機の本体更新が必要になる場合があることを説明する。\n「電子説明書制作マニュアル Part2：テンプレート編集」に参考文例が入っています。\n",0]
,["Pages/Page_54698748.html#PageId_54698757","8.1.8. メディアへのアクセス速度",
"8.1.8. メディアへのアクセス速度\n一般的に、記録メディアのアクセス速度に依存した実装を行うべきではないことはガイドラインの「ファイルシステム」にも記載されていますが、開発中のカードアプリをダウンロードアプリとして動作させた際に、ROM やセーブデータへのアクセス速度に差があることに留意してください。\nROM データのリード速度にはゲームカードと SD カードとの間で顕著な差はありませんが、ゲームカードのバックアップメモリに比べ、ダウンロードアプリのセーブデータへのリードおよびライトは格段に速くなります。\n 補足：\n アクセス速度についての詳細な情報については、「3DS パフォーマンス TIPS」を参照してください。\nROM データへのアクセスと追加データ（SD カード）へのアクセスを同時に行っている場合、カードアプリではアクセス先がそれぞれ別のメディアになりますが、ダウンロードアプリではアクセス先が共に SD カードになるため、同じ処理にかかる時間などに違いが出る可能性がありますのでご注意ください。\nファイルアクセスの優先度を設定することができます（「3DS プログラミングマニュアル - システム編」の「アクセス優先度の設定」参照）。たとえば、SD カードにあるストリーミングデータに対して高い優先度を設定しておかないと、カードアプリでは問題ないがダウンロードアプリではストリーミングが滞るといったことが起こる可能性があります。\n",0]
,["Pages/Page_54698748.html#PageId_54698758","8.1.9. アプリバイナリの生成（ビルド）",
"8.1.9. アプリバイナリの生成（ビルド）\nマスター提出時に CCI ファイル（カードアプリ用バイナリ）のみを提出いただく形となりますので、これまでのカードアプリと同じようにビルドを行ってください。\nダウンロードアプリとしての動作確認は、CCI ファイルを CIA ファイルに変換したものを SD カードにインポートして行ってください。\n 補足：\n CCI ファイルを CIA ファイルに変換するには makecia で -cci オプションを使用してください。\n変換された CIA ファイルが正しく CCI ファイルから生成されたものかを確認するには MasterEditor を使用します。具体的には、CCI ファイルと CIA ファイルの対応する CXI タブと CFA タブ（複数ある場合はすべて）にある、「ハッシュ値（CRC32）」欄の「コンテンツ全体」の値がそれぞれ等しいかどうかで確認します。\n",0]
,["Pages/Page_54698748.html#PageId_54698759","8.1.10. デバッグ",
"8.1.10. デバッグ\nカードアプリとダウンロードアプリの両方でデバッグを行ってください。今までのデバッグ量の倍のデバッグを行っていただく必要はなく、デバッグに使用する本体のうちの何割かでダウンロードアプリのデバッグを行うようにしてください。\n1 つの本体でカードアプリとダウンロードアプリの両方が動作するケースも、カードアプリのデバッグで複数のカードが 1 つの本体で動作することを確認するのと同様にデバッグしてください。\nデバッグの際には、開発実機に同梱されている SD カードまたは任天堂純正の SD カードでの確認を必ず行ってください。\n 補足：\n ガイドラインの「ファイルシステム」内にある「各メディアへのアクセス速度」を参照してください。\n",0]
,["Pages/Page_54698748.html#PageId_54698760","8.1.10.1. セーブデータの流用",
"8.1.10.1. セーブデータの流用\nCTR-SDK に付属している SaveDataFiler を使用することで、カードアプリのセーブデータを SD カードに書き出し、それをダウンロード版で読み込むことができます。\n",0]
,["Pages/Page_54698748.html#PageId_54698761","8.1.11. マスター提出",
"8.1.11. マスター提出\nマスターデータ提出の手順は通常のカードアプリと変わりません。カードアプリとダウンロードアプリで同一のマスターデータ（CCI ファイル）を提出してください。ダウンロード販売用に CIA ファイルを別途提出する必要もありませんし、パッケージ版とダウンロード版それぞれで提出パッケージを作成する必要もありません。\n提出の際は、CTR MasterEditor を用いて、「アプリの用途」に「一般販売」を選択し、「カード販売する」と「ダウンロード販売する」の両方にチェックを入れてダウンロード販売対応である旨を明示してください。なお、併売可能なアプリケーションとして提出するが、直ちにカード生産を行わずにダウンロード販売を先行したい場合は、あらかじめ弊社窓口にご連絡ください。\n弊社の許可を得てカードアプリとダウンロードアプリで挙動に違いをつけた場合は、提出するチェックシートの「弊社承認仕様」の欄に挙動の違いを具体的に記載してください。\n",0]
,["Pages/Page_54698748.html#PageId_54698762","8.2. 発売済みのカードアプリをダウンロードアプリとして販売するケース",
"8.2. 発売済みのカードアプリをダウンロードアプリとして販売するケース\nすでに発売されているカードアプリをダウンロード版との併売に対応させるには、多くの場合、電子取扱説明書を新規に追加するだけで済む可能性があります。ここでは、開発手順の中で留意すべき情報を説明します。\n",0]
,["Pages/Page_54698748.html#PageId_54698763","8.2.1. SDK バージョン",
"8.2.1. SDK バージョン\nカードアプリとして提出していたマスター ROM をダウンロードソフトとして使用する場合、もしくは、変更が電子取扱説明書の追加または差し替えのみの場合は、現時点での「マスター提出可能な SDK バージョンについて」のルールは不問になります。つまり、SDK のバージョンは当時のままで問題ありません。\n何らかの変更を行ったためにリビルドする必要がある場合は、弊社窓口までご相談ください。ただし、変更内容が以下の場合は、SDK バージョンは当時のままで問題ありません。\n \t一部のメッセージ・表示の変更などの軽微な修正 \t既にリリースされているパッチと同内容のリマスター\nなお、変更を加えてリビルドを行った場合は必ず、ロットチェックに合格した前回バージョンとの違いを具体的に記載した変更履歴を提出してください。\n",0]
,["Pages/Page_54698748.html#PageId_54698764","8.2.2. 電子取扱説明書",
"8.2.2. 電子取扱説明書\n原則として、「電子説明書制作マニュアル Part2：テンプレート編集」の最新版に記載されている即時対応が必要な項目に対応している必要があります。必要に応じて説明書を新規作成または改訂し、「CTR ROM エディタ」を用いて、発売済みのバイナリに添付または差し替えを行ってください。説明書の添付により ROM サイズがアプリケーションの使用可能な領域サイズを超過してしまう場合は、メディアサイズも合わせて変更してください。\n 表 8-1. 電子取扱説明書の新規作成や改訂の要・不要\n \t電子取扱説明書 \t必要な変更\n \tなし \t電子取扱説明書を新規に作成し、添付してください。\n \tあり \t移行期間を問わず、全体の差し替えは不要です。発売当時の該当するバージョン以降の、即時対応が必要な箇所のみ差し替えてください。\n 補足：\n 現在、「電子取扱説明書制作マニュアル」は「CTR 電子説明書テンプレート集」に同梱されており、名称が「電子説明書制作マニュアル」に変更されています。\n",0]
,["Pages/Page_54698748.html#PageId_54698765","8.2.3. セーブデータの互換性について",
"8.2.3. セーブデータの互換性について\n併売対応時にアプリケーションの修正を行う場合や、カードアプリとして販売されているバージョンが改訂により複数存在する場合は、以下の点に注意してください。\n販売されたカードアプリのいずれかのバージョンと、配信されるダウンロードアプリの間でセーブデータに互換性がない場合、セーブデータ移動ツールで移動したセーブデータが使用できないという致命的な問題が生じてしまいます。これに該当する場合は必ず弊社窓口までご連絡ください。セーブデータ移動ツールによって当該ソフトのセーブデータが移動できないように、弊社にて対応します。\n",0]
,["Pages/Page_54698748.html#PageId_54698766","8.2.4. セーブデータの巻き戻しについて",
"8.2.4. セーブデータの巻き戻しについて\n「8.1.5. セーブデータの巻き戻しについて」で説明した通り、ダウンロードアプリでは、ユーザーが PC を用いて SD カードのデータを操作することで、カードアプリのときには発生しなかったセーブデータの巻き戻りを起こすことができます。セーブデータの巻き戻りが生じてもゲームバランスが破綻しないか、企画の面から確認してください。\n",0]
,["Pages/Page_54698748.html#PageId_54698767","8.2.5. ゲーム内の表記、表示",
"8.2.5. ゲーム内の表記、表示\nゲーム中のテキストメッセージや権利表記などが、ダウンロード販売する際に問題ないかを確認してください。\n 補足：\n アプリケーションに変更がない場合、表記・表示に問題がないかの確認を改めて弊社が行うことはありません。\n",0]
,["Pages/Page_54698748.html#PageId_54698768","8.2.6. ダウンロードプレイ",
"8.2.6. ダウンロードプレイ\nダウンロードプレイの挙動は「8.1.7. ダウンロードプレイ」で説明しています。ダウンロードプレイに対応したアプリが、8.1.7 項に記載されているメッセージ表示を行っていない場合は、電子取扱説明書への記載で対応してください。\n",0]
,["Pages/Page_54698748.html#PageId_54698769","8.2.7. 動作確認",
"8.2.7. 動作確認\nダウンロードアプリとして SD カードから実行した場合でも、不具合などが起こらないことを確認してください。\n「8.1.4. セーブデータ、追加データ」、「8.1.8. メディアへのアクセス速度」、「8.1.9. アプリバイナリの生成（ビルド）」に記載されている点にも留意してください。\n",0]
,["Pages/Page_54698748.html#PageId_54698770","8.2.8. マスター提出",
"8.2.8. マスター提出\n「CTR マスターROM提出手順書」にのっとり、電子取扱説明書が添付された CCI ファイルを再提出してください。\n提出の際は、CTR MasterEditor を用いて、「アプリの用途」に「一般販売」を選択し、「カード販売する」と「ダウンロード販売する」の両方にチェックを入れてダウンロード販売対応である旨を明示してください。\n必要な提出物と付与すべきバージョンは下表の通りです。\n 表 8-2. マスター提出時に必要な提出物と付与すべきバージョン\n \t \t提出物 \tバージョン\n \tマスターデータ\n提出確認書 \tマスター\nROM \tチェック\nシート \t変更履歴 \tリマスター\nバージョン \t提出\nバージョン\n \tマスター ROM データが前回提出時と全く同一の場合 \t必要 \t不要 \t不要 (*1) \t不要 \t前回と同じ \t前回と同じ\n \t説明書の追加または差し替えのみの場合 \t必要 \t必要 \t不要 (*1) \t必要 \t前回と同じ \t前回 + 1\n \tアプリが変更されている場合 \t必要 \t必要 \t必要 \t必要 \t前回 + 1 \t0\n (*1) カードアプリとダウンロードアプリで挙動に違いをつけていて、前回の提出書類にその旨が記載されていない場合は、「弊社承認仕様」の欄に挙動の違いを具体的に記載してチェックシートを提出してください。また、以下に該当するタイトルで前回の提出書類にその旨が記載されていない場合は、チェックシートを再提出してください。\n \tセーブデータ巻き戻し防止支援関数を使用するタイトル \tほかのアプリケーションのセーブデータにアクセスするタイトル\n 補足：\n 提出物の作成には、基本的に最新バージョンの MasterEditor およびチェックシートエディターを使用してください。\n ただし、最新バージョンの MasterEditor を使用すると以下のことが原因でエラーが発生することがあります。このエラーは、修正によるリビルドを行っていないのであれば無視してもかまいません。\n \t長いタイトル、短いタイトル、パブリッシャー名について、値が設定されている項目と設定されていない項目が混在している。\n",0]
,["Pages/Page_54698748.html#PageId_54698771","8.3. アプリケーションの修正が必要になった場合",
"8.3. アプリケーションの修正が必要になった場合\nパッケージ版とダウンロード版の併売に対応したアプリケーションに対して、修正を行った場合に必要な手順を説明します。\n修正は、基本的にはパッチによる対応を推奨します。詳しくは「3DS オーバービュー」の「パッチとは」を参照してください。\n 注意：\n 擬似クライアントを利用するタイトルを修正する場合は、リマスターバージョンの異なる擬似クライアントが DLP サーバーに接続する場合について配慮する必要があります。\n 詳しくは「パッチマニュアル」の「疑似クライアント機能」を参照してください。\n",0]
,["Pages/Page_54698748.html#PageId_54698772","8.3.1. 配信開始後に修正が必要になった場合",
"8.3.1. 配信開始後に修正が必要になった場合\n 原則として、パッチを作成して提出してください。改訂版は提出不要です。\nカードの再生産予定があり、修正内容を適用した改訂版を生産したい場合に限り、改訂版を提出してください。このときマスター提出確認書の「アプリの用途」欄は「カード販売する」のみにチェックを入れてください。このマスター ROM はカード生産用にのみ使用され、ニンテンドーeショップでは配信されません。\n修正が必要なほとんどの場合をパッチで対応できますが、パッチで対応できないケースが生じた場合は、併売用として改訂版を提出してください。このときマスター提出確認書の「アプリの用途」欄は「カード販売する」と「ダウンロード販売する」の両方にチェックを入れてください。\n 補足：\n 説明書の改訂やダウンロードプレイの子機プログラムの修正もパッチで対応できます。\n",0]
,["Pages/Page_54698748.html#PageId_54698773","8.3.2. 発売済み、かつパッチをリリース済みのカードアプリを配信する場合",
"8.3.2. 発売済み、かつパッチをリリース済みのカードアプリを配信する場合\nパッチ未適用の内容（カードで販売されているものと同内容）にて、「8.2. 発売済みのカードアプリをダウンロードアプリとして販売するケース」に記載されている手順に沿って併売対応し、再提出いただいて問題ありません。ただし、ダウンロードアプリにパッチを適用した場合でも正しく動作することを確認してください。\n改訂版を提出いただいても問題ありません。\n",0]
];
for (var x = 0; x < additionalData.length; x++) Search.indexData.push(additionalData[x]);
Search.additionalData = additionalData;
})();
